Download it now!
Bug 123636 - FILEOPEN DOCX with frame content on multiple pages is condensed to single page
Summary: FILEOPEN DOCX with frame content on multiple pages is condensed to single page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.3.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2019-02-21 19:43 UTC by Aron Budea
Modified: 2019-05-06 17:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (13.20 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-21 19:43 UTC, Aron Budea
Details
Comparison screenshot (43.90 KB, image/png)
2019-02-21 19:43 UTC, Aron Budea
Details
Sample DOC (opens fine) (27.00 KB, application/msword)
2019-02-21 19:45 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-02-21 19:43:19 UTC
Created attachment 149496 [details]
Sample DOCX

The attached document was created in an external document producer, and minimized in Word.

When opened in Word, the document appears as two pages, interestingly text can only be added to the text frames.

When opened in Writer, the frames are all on the same page.

Observed using LO 6.3.0.0.alpha0+ (e0745a11597e5d57eb8001a295314e86810a6027), 3.3.0 / Windows 7.
Comment 1 Aron Budea 2019-02-21 19:43:49 UTC
Created attachment 149497 [details]
Comparison screenshot
Comment 2 Aron Budea 2019-02-21 19:45:44 UTC
Created attachment 149498 [details]
Sample DOC (opens fine)

The DOC saved from the DOCX in Word opens fine in Writer.
Comment 3 raal 2019-02-21 20:14:34 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: 465939feb0e9c382e5581b53b72008979ece4807
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 4 Justin L 2019-04-15 17:07:52 UTC
(In reply to Aron Budea from comment #0)
> interestingly text can only be added to the text frames.
This seems to be related to line spacing of zero.  In Word, going into the paragraph properties forces a minimum of .06 in order to "OK"  Clearing the paragraph style "fixes" the read-only aspect, showing a ---page break---.
 
> When opened in Writer, the frames are all on the same page.
A lost page-break, and it is not because of bRemove...
Comment 5 Justin L 2019-04-17 14:03:47 UTC
Watch out for the export - another problem is that an extra carriage return is added for .docx only (if imported as two pages - see import patch https://gerrit.libreoffice.org/31396).
Comment 6 Commit Notification 2019-04-25 04:56:07 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/89e44da1ab450f6e2f4106103efd169227683f20%5E%21

related tdf#123636 writerfilter: split newline also if PAGE_BREAK

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-04-25 09:37:44 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e43f2dddc29f2ed2c6ebed104ea69b19a88b168e%5E%21

related tdf#123636: fix unit test for tinderbox

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Justin L 2019-04-25 09:44:50 UTC
The start of a fix for this actual document/bug is at https://gerrit.libreoffice.org/71255.
Comment 9 Justin L 2019-04-25 09:47:59 UTC
I've also created documents where there is a page-break at the very end of the document which gets lost in LO. But since I don't see any purpose in having a blank page (or empty paragraphs for that matter) at the end of a document, I'm not going to bother trying to handle that in CloseSectionGroup...
Comment 10 Commit Notification 2019-04-30 13:17:30 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f6f53f76e15f5eecc5b6ce56e471c53cebfea8ad%5E%21

tdf#123636 writerfilter: handle deferred breaks on frames

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 BogdanB 2019-05-06 17:50:53 UTC
It's 2 pages now in Writer. It's similar like Word.

Verified on
Version: 6.3.0.0.alpha0+
Build ID: 96ab20756316b25b7f2343a15596bc5114ea5a68
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-02_14:29:16
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded